0

I am using Magento 1.9.2.4 and my Magento Connect is not working. Whenever I click check for updates, everything from the bottom disappears, please check the image below:

Magento Connect Issue

When I try to update Magento via SSH I get the following error:

./mage mage-setup Running initial setup... Success Success PHP Parse error: syntax error, unexpected 'public' (T_PUBLIC) in /xxxxxxxx/downloader/lib/Mage/HTTP/Client/Curl.php on line 446

When I open the file, this is the code on that line:

public function isAuthorizationRequired() { if (isset($_SESSION['auth']['username']) && isset($_SESSION['auth']['password']) && !empty($_SESSION['auth']['username'])) { return true; } return false; }

I tried commenting out the line but then it gives an error for the next function and so on. I have already tried the unknown cipher in list fix as well but no success. Please guide me about this issue.

0

I have managed to fix the issue. My curl.php file was corrupted as a result Magento Downloader was not working. So I replaced the file with Magento 1.9.2.4 git hub repo and now it works fine.

I did face an issue while updating to 1.9.4.0, it did not update via Magento Downloader, it gave the php version error so had to update it via ssh using --force command. I hope it helps.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.